Download Selected Snapshots As ZIP
curl --request POST \
--url https://api.sixtyfour.ai/monitors/{monitor_id}/history-export \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"exclude": [
"2023-11-07T05:31:56Z"
],
"timestamps": [
"2023-11-07T05:31:56Z"
],
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.sixtyfour.ai/monitors/{monitor_id}/history-export"
payload = {
"exclude": ["2023-11-07T05:31:56Z"],
"timestamps": ["2023-11-07T05:31:56Z"],
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
exclude: ['2023-11-07T05:31:56Z'],
timestamps: ['2023-11-07T05:31:56Z'],
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.sixtyfour.ai/monitors/{monitor_id}/history-export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/monitors/{monitor_id}/history-export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'exclude' => [
'2023-11-07T05:31:56Z'
],
'timestamps' => [
'2023-11-07T05:31:56Z'
],
'start' => '2023-11-07T05:31:56Z',
'end' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/monitors/{monitor_id}/history-export"
payload := strings.NewReader("{\n \"exclude\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"timestamps\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/monitors/{monitor_id}/history-export")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"exclude\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"timestamps\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/monitors/{monitor_id}/history-export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"exclude\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"timestamps\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body"<string>"{
"detail": "Invalid request body",
"code": "bad_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Invalid API key",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "<string>",
"feedback": "<string>",
"code": "<string>",
"correlation_id": "<string>"
}{
"detail": "Rate limit exceeded: 300 requests per minute per organization, with bursts of up to 15. Retry after the delay in Retry-After.",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Request capacity is temporarily unavailable. Retry after the delay in Retry-After.",
"code": "unavailable",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}Monitors
Download Selected Snapshots As ZIP
The CSVs of the selected snapshots in one ZIP. Omit timestamps to include every snapshot from start to end (UTC, inclusive). Up to 5,000 snapshots and 50 MiB of CSV per export.
POST
/
monitors
/
{monitor_id}
/
history-export
Download Selected Snapshots As ZIP
curl --request POST \
--url https://api.sixtyfour.ai/monitors/{monitor_id}/history-export \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"exclude": [
"2023-11-07T05:31:56Z"
],
"timestamps": [
"2023-11-07T05:31:56Z"
],
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.sixtyfour.ai/monitors/{monitor_id}/history-export"
payload = {
"exclude": ["2023-11-07T05:31:56Z"],
"timestamps": ["2023-11-07T05:31:56Z"],
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
exclude: ['2023-11-07T05:31:56Z'],
timestamps: ['2023-11-07T05:31:56Z'],
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.sixtyfour.ai/monitors/{monitor_id}/history-export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/monitors/{monitor_id}/history-export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'exclude' => [
'2023-11-07T05:31:56Z'
],
'timestamps' => [
'2023-11-07T05:31:56Z'
],
'start' => '2023-11-07T05:31:56Z',
'end' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/monitors/{monitor_id}/history-export"
payload := strings.NewReader("{\n \"exclude\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"timestamps\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/monitors/{monitor_id}/history-export")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"exclude\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"timestamps\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/monitors/{monitor_id}/history-export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"exclude\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"timestamps\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"start\": \"2023-11-07T05:31:56Z\",\n \"end\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body"<string>"{
"detail": "Invalid request body",
"code": "bad_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Invalid API key",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "<string>",
"feedback": "<string>",
"code": "<string>",
"correlation_id": "<string>"
}{
"detail": "Rate limit exceeded: 300 requests per minute per organization, with bursts of up to 15. Retry after the delay in Retry-After.",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Request capacity is temporarily unavailable. Retry after the delay in Retry-After.",
"code": "unavailable",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}Body
application/json
Response
A ZIP archive with one CSV per snapshot.
The response is of type file.
Was this page helpful?